Wide Studio Object Reference

Wide Studio Home
Up to

## Class name

WSCvklabel

## Properties

Properties of the class: WSCvklabel are as follows.

Type | Property Name | Supplement | Default

short | WSNselectColor | Select color |

short | WSNselectForeColor | Select fore color |

char | WSNshadowType | Shadow type | 3

| In | WS_SHADOW_IN ( 1 ) |

| Out | WS_SHADOW_OUT ( 0 ) |

| Etched in | WS_SHADOW_EIN ( 3 ) |

| Etched out | WS_SHADOW_EOUT ( 2 ) |

| Border | WS_SHADOW_BORDER ( 4 ) |

| None | WS_SHADOW_TRANS ( -1 ) |

unsigned char | WSNshadowThickness | Shadow thickness | 2

short | WSNbackColor | Background | DEF13

short | WSNtopShadowColor | Top shadow color | DEF15

short | WSNbottomShadowColor | Bottom shadow color | DEF16

WSCbool | WSNreverseFlag | Reverse on | 0

| no | False ( 0 ) |

| yes | True ( 1 ) |

short | WSNbackBlinkColor | Back blink color | DEF13

unsigned char | WSNblinkType | Blink type | 0

| Foreground | WS_FORE ( 0 ) |

| Background | WS_BACK ( 1 ) |

| Fore/Back | WS_BOTH ( 2 ) |

WSCbool | WSNemboss | Emboss | 0

| Not allow | False ( 0 ) |

| Allow | True ( 1 ) |

WSCbool | WSNusePixmap | Use pixmap | 0

| no | False ( 0 ) |

| yes | True ( 1 ) |

char* | WSNlabelString | Label string |

unsigned char | WSNorientation | Orientation | 0

| Horizontal | WS_HORIZONTAL ( 0 ) |

| Vertical | WS_VERTICAL ( 1 ) |

unsigned char | WSNalignmentV | V. Alignment | 2

| Top | WS_UP ( 3 ) |

| Center | WS_CENTER ( 2 ) |

| Bottom | WS_DOWN ( 4 ) |

unsigned char | WSNalignmentH | H. Alignment | 2

| Left | WS_LEFT ( 0 ) |

| Center | WS_CENTER ( 2 ) |

| Right | WS_RIGHT ( 1 ) |

unsigned char | WSNmarginTop | Margin top | 2

unsigned char | WSNmarginBottom | Margin bottom | 2

unsigned char | WSNmarginLeft | Margin Left | 2

unsigned char | WSNmarginRight | Margin Right | 2

unsigned short | WSNmaxLength | Max length | 64

unsigned char | WSNfont | Font No. | 0

short | WSNlabelPixmap | Label pixmap |

short | WSNblinkPixmap | Blink pixmap |

unsigned char | WSNgradation | Gradation type | 0

| None | WS_GR_NONE ( 0 ) |

| LT to RB | WS_GR_LT_RB ( 1 ) |

| RT to LB | WS_GR_RT_LB ( 2 ) |

| LB to RT | WS_GR_LB_RT ( 3 ) |

| RB to LT | WS_GR_RB_LT ( 4 ) |

| T to B | WS_GR_T_B ( 5 ) |

| B to T | WS_GR_B_T ( 6 ) |

| L to R | WS_GR_L_R ( 7 ) |

| R to L | WS_GR_R_L ( 8 ) |

unsigned char | WSNgradationMargin | GradationMargin | 0

char* | WSNname | Name |

char* | WSNuserString | User string |

long | WSNuserValue | User value | 0

WSCbool | WSNblinkRefreshing | Blink refresing | 0

WSCbool | WSNvis | Visibility | 0

| Invisible | False ( 0 ) |

| Visible | True ( 1 ) |

WSCbool | WSNdet | Sensitivity | 1

| Not allow | False ( 0 ) |

| Allow | True ( 1 ) |

short | WSNx | X | 0

short | WSNy | Y | 0

unsigned short | WSNwidth | Width | 100

unsigned short | WSNheight | Height | 30

short | WSNforeColor | Foreground | DEF14

WSCbool | WSNtwinBlink | Twin blinking | 0

| no | False ( 0 ) |

| yes | True ( 1 ) |

short | WSNblinkColor | Blink color | DEF13

unsigned char | WSNblinkRate | Blink rate | 1

| 0.25s | WS250MS ( 1 ) |

| 0.50s | WS500MS ( 2 ) |

| 0.75s | WS750MS ( 3 ) |

| 1.00s | WS1000MS ( 4 ) |

| 2.00s | WS2000MS ( 8 ) |

| 3.00s | WS3000MS ( 12 ) |

| 5.00s | WS5000MS ( 20 ) |

WSCbool | WSNblinkFlag | Blinking | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

unsigned short | WSNanchorTop | AnchorTop | 0

unsigned short | WSNanchorBottom | AnchorBottom | 0

unsigned short | WSNanchorLeft | AnchorLeft | 0

unsigned short | WSNanchorRight | AnchorRight | 0

WSCbool | WSNanchorTopFlag | AnchorTopFlag | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

WSCbool | WSNanchorBottomFlag | AnchorBottomFlag | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

WSCbool | WSNanchorLeftFlag | AnchorLeftFlag | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

WSCbool | WSNanchorRightFlag | AnchorRightFlag | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

WSCbool | WSNexport | Export | 0

| Not allow | False ( 0 ) |

| Allow | True ( 1 ) |

## Specification of properties

- WSNselectColor
  Function
    Spesifies the Select color.
  Notice

- WSNselectForeColor
  Function
    Spesifies the Select fore color.
  Notice

- WSNshadowType
  Function
    Spesifies the Shadow type.
  Notice

- WSNshadowThickness
  Function
    Spesifies the Shadow thickness.
  Notice

- WSNbackColor
  Function
    Spesifies the Background.
  Notice

- WSNtopShadowColor
  Function
    Spesifies the Top shadow color.
  Notice

- WSNbottomShadowColor
  Function
    Spesifies the Bottom shadow color.
  Notice

- WSNreverseFlag
  Function
    Spesifies the Reverse on.
  Notice

- WSNbackBlinkColor
  Function
    Spesifies the Back blink color.
  Notice

- WSNblinkType
  Function
    Spesifies the Blink type.
  Notice

- WSNemboss
  Function
    Spesifies the Emboss.
  Notice

- WSNusePixmap
  Function
    Spesifies the Use pixmap.
  Notice

- WSNlabelString
  Function
    Spesifies the Label string.
  Notice

- WSNorientation
  Function
    Spesifies the Orientation.
  Notice

- WSNalignmentV
  Function
    Spesifies the V. Alignment.
  Notice

- WSNalignmentH
  Function
    Spesifies the H. Alignment.
  Notice

- WSNmarginTop
  Function
    Spesifies the Margin top.
  Notice

- WSNmarginBottom
  Function
    Spesifies the Margin bottom.
  Notice

- WSNmarginLeft
  Function
    Spesifies the Margin Left.
  Notice

- WSNmarginRight
  Function
    Spesifies the Margin Right.
  Notice

- WSNmaxLength
  Function
    Spesifies the Max length.
  Notice

- WSNfont
  Function
    Spesifies the Font No..
  Notice

- WSNlabelPixmap
  Function
    Spesifies the Label pixmap.
  Notice

- WSNblinkPixmap
  Function
    Spesifies the Blink pixmap.
  Notice

- WSNgradation
  Function
    Spesifies the Gradation type.
  Notice

- WSNgradationMargin
  Function
    Spesifies the Gradation margin.
  Notice

- WSNname
  Function
    Spesifies the Name.
  Notice

- WSNuserString
  Function
    Spesifies the User string.
  Notice

- WSNuserValue
  Function
    Spesifies the User value.
  Notice

- WSNblinkRefreshing
  Function
    Spesifies the Blink refresing.
  Notice

- WSNvis
  Function
    Spesifies the Visibility.
  Notice

- WSNdet
  Function
    Spesifies the Sensitivity.
  Notice

- WSNx
  Function
    Spesifies the X.
  Notice

- WSNy
  Function
    Spesifies the Y.
  Notice

- WSNwidth
  Function
    Spesifies the Width.
  Notice

- WSNheight
  Function
    Spesifies the Height.
  Notice

- WSNforeColor
  Function
    Spesifies the Foreground.
  Notice

- WSNtwinBlink
  Function
    Spesifies the Twin blinking.
  Notice

- WSNblinkColor
  Function
    Spesifies the Blink color.
  Notice

- WSNblinkRate
  Function
    Spesifies the Blink rate.
  Notice

- WSNblinkFlag
  Function
    Spesifies the Blinking.
  Notice

- WSNanchorTop
  Function
    Spesifies the AnchorTop.
  Notice

- WSNanchorBottom
  Function
    Spesifies the AnchorBottom.
  Notice

- WSNanchorLeft
  Function
    Spesifies the AnchorLeft.
  Notice

- WSNanchorRight
  Function
    Spesifies the AnchorRight.
  Notice

- WSNanchorTopFlag
  Function
    Spesifies the AnchorTopFlag.
  Notice

- WSNanchorBottomFlag
  Function
    Spesifies the AnchorBottomFlag.
  Notice

- WSNanchorLeftFlag
  Function
    Spesifies the AnchorLeftFlag.
  Notice

- WSNanchorRightFlag
  Function
    Spesifies the AnchorRightFlag.
  Notice

- WSNexport
  Function
    Spesifies the Export.
  Notice

Document Release 3.70
For Use with Wide Studio Release 3.70, Spring 2004

Wide Stuido Home | Up to

Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004